aboutsummaryrefslogtreecommitdiff
path: root/robot/all-card-run.sh
diff options
context:
space:
mode:
authorPhillip Lord <phillip.lord@russet.org.uk>2019-06-17 17:42:16 +0100
committerPhillip Lord <phillip.lord@russet.org.uk>2019-06-17 17:42:16 +0100
commit9fa9b6eabf0372538a88819c1f9ff26c30102aaa (patch)
tree07fdc23949e97cd168db4a7366307d690cce1789 /robot/all-card-run.sh
parentd37519f54c903bc51377a261c070cb0e0987fbc5 (diff)
downloadorg-drill-9fa9b6eabf0372538a88819c1f9ff26c30102aaa.tar.gz
org-drill-9fa9b6eabf0372538a88819c1f9ff26c30102aaa.zip
Robot test all card types
Fix multiple missing session parameters.
Diffstat (limited to 'robot/all-card-run.sh')
-rwxr-xr-xrobot/all-card-run.sh44
1 files changed, 44 insertions, 0 deletions
diff --git a/robot/all-card-run.sh b/robot/all-card-run.sh
new file mode 100755
index 0000000..8ca247c
--- /dev/null
+++ b/robot/all-card-run.sh
@@ -0,0 +1,44 @@
+#!/bin/bash
+
+set -e
+
+this_dir="$(dirname "$0")"
+source $this_dir/robot.sh
+
+
+card_no=12
+small_sleep=0.1
+
+
+function run_drill {
+ ## Org-drill should be running at this point, so give three answers
+ ## with a score of file
+ sleep_big
+
+ for i in `seq 1 $card_no`;
+ do
+ echo Answer: $i
+ send_answer
+ done
+
+ ## Press any key to continue
+ echo press any key to continue
+ retn
+ sleep_small
+
+ echo Save file
+ key y
+}
+
+launch_emacs $this_dir/all-card-run.el $card_no
+
+{
+ sleep 2
+ find_bot
+
+ ## Run once with default options
+ run_drill
+
+
+ wait_emacs
+} || cat robot/failure.txt